MWAWListLevel Struct Reference

small structure to keep information about a list level More...

`#include <MWAWList.hxx>`

## Public Types

enum | Type { DEFAULT, NONE, BULLET, DECIMAL, LOWER_ALPHA, UPPER_ALPHA, LOWER_ROMAN, UPPER_ROMAN, LABEL }
| the type of the level More...
enum | Alignment { LEFT, RIGHT, CENTER }
| the item alignement More...

## Public Member Functions

| MWAWListLevel ()
| basic constructor More...
| ~MWAWListLevel ()
| destructor More...
bool | isDefault () const
| returns true if the level type was not set More...
bool | isNumeric () const
| returns true if the list is decimal, alpha or roman More...
void | addTo (WPXPropertyList &propList) const
| add the information of this level in the propList More...
int | getStartValue () const
| returns the start value (if set) or 1 More...
int | cmp (MWAWListLevel const &levl) const
| comparison function ( compare all values excepted m_startValues More...

## Public Attributes

Type | m_type
| the type of the level More...
double | m_labelBeforeSpace
| the extra space between inserting a label More...
double | m_labelWidth
| the minimum label width More...
double | m_labelAfterSpace
| the minimum distance between the label and the text More...
int | m_numBeforeLabels
| the number of label to show before this More...
Alignment | m_alignment
| the alignement ( left, center, ...) More...
int | m_startValue
| the actual value (if this is an ordered level ) More...
WPXString | m_label
| the text label More...
WPXString | m_prefix
| string which preceedes the number if we have an ordered level More...
WPXString | m_suffix
| string which follows the number if we have an ordered level More...
WPXString | m_bullet
| the bullet if we have an bullet level More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, MWAWListLevel const &ft)
| operator<< More...

## Detailed Description

small structure to keep information about a list level

## Member Enumeration Documentation

enum MWAWListLevel::Alignment

the item alignement

Enumerator
LEFT |
RIGHT |
CENTER |

enum MWAWListLevel::Type

the type of the level

Enumerator
DEFAULT |
NONE |
BULLET |
DECIMAL |
LOWER_ALPHA |
UPPER_ALPHA |
LOWER_ROMAN |
UPPER_ROMAN |
LABEL |

## Constructor & Destructor Documentation

MWAWListLevel::MWAWListLevel | ( |  | ) |

inline

basic constructor

MWAWListLevel::~MWAWListLevel | ( |  | ) |

inline

destructor

## Member Function Documentation

void MWAWListLevel::addTo | ( | WPXPropertyList & | propList | ) | const

add the information of this level in the propList

int MWAWListLevel::cmp | ( | MWAWListLevel const & | levl | ) | const

comparison function ( compare all values excepted m_startValues

Referenced by MWAWList::isCompatibleWith(), and MWAWParagraph::operator!=().

int MWAWListLevel::getStartValue | ( |  | ) | const

inline

returns the start value (if set) or 1

Referenced by addTo(), and MWAWList::set().

bool MWAWListLevel::isDefault | ( |  | ) | const

inline

returns true if the level type was not set

bool MWAWListLevel::isNumeric | ( |  | ) | const

inline

returns true if the list is decimal, alpha or roman

Referenced by MDWParserInternal::ZoneInfo::updateListId().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWListLevel const & | ft
| ) |  |

friend

operator<<

## Member Data Documentation

Alignment MWAWListLevel::m_alignment

the alignement ( left, center, ...)

Referenced by addTo(), cmp(), operator<<(), and MRWText::readRulers().

WPXString MWAWListLevel::m_bullet

the bullet if we have an bullet level

Referenced by addTo(), cmp(), ACParser::getMainList(), operator<<(), MSK4Text::readParagraph(), MRWText::readRulers(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

std::string MWAWListLevel::m_extra

extra data

Referenced by operator<<(), and MORText::readCustomListLevel().

WPXString MWAWListLevel::m_label

the text label

Referenced by addTo(), cmp(), operator<<(), and MORText::readCustomListLevel().

double MWAWListLevel::m_labelAfterSpace

the minimum distance between the label and the text

Referenced by addTo(), cmp(), ACParser::getMainList(), operator<<(), and MDWParserInternal::ZoneInfo::updateListId().

double MWAWListLevel::m_labelBeforeSpace

the extra space between inserting a label

Referenced by addTo(), cmp(), operator<<(), and MDWParserInternal::ZoneInfo::updateListId().

double MWAWListLevel::m_labelWidth

the minimum label width

Referenced by addTo(), cmp(), operator<<(), MSK4Text::readParagraph(), MRWText::readRulers(), MDWParserInternal::ZoneInfo::updateListId(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

int MWAWListLevel::m_numBeforeLabels

the number of label to show before this

Referenced by addTo(), cmp(), MDWParserInternal::ListProperties::getLevel(), ACParser::getMainList(), operator<<(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

WPXString MWAWListLevel::m_prefix

string which preceedes the number if we have an ordered level

Referenced by addTo(), cmp(), ACParser::getMainList(), operator<<(), MDWParser::readHeadingCustom(), MDWParserInternal::ListProperties::updateHeadingList(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

int MWAWListLevel::m_startValue

the actual value (if this is an ordered level )

Referenced by getStartValue(), operator<<(), MWAWList::set(), and MDWParserInternal::ZoneInfo::updateListId().

WPXString MWAWListLevel::m_suffix

string which follows the number if we have an ordered level

Referenced by addTo(), cmp(), ACParser::getMainList(), operator<<(), MDWParser::readHeadingCustom(), MDWParserInternal::ListProperties::updateHeadingList(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

Type MWAWListLevel::m_type

the type of the level

Referenced by addTo(), cmp(), ACParser::getMainList(), isDefault(), isNumeric(), operator<<(), MORText::readCustomListLevel(), MDWParser::readHeadingCustom(), MSK4Text::readParagraph(), MRWText::readRulers(), MWAWList::set(), MDWParserInternal::ListProperties::updateHeadingList(), MDWParserInternal::ZoneInfo::updateListId(), CWTextInternal::Paragraph::updateListLevel(), and MORTextInternal::Paragraph::updateToFinalState().

The documentation for this struct was generated from the following files:

- MWAWList.hxx
- MWAWList.cxx